package kr.co.compcarecompany.Data.Company;

import android.os.Parcel;
import android.os.Parcelable;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import kr.co.compcarecompany.Data.ArrayItem;
import kr.co.compcarecompany.Data.Product.AlMachineDatum;
import kr.co.compcarecompany.Data.Product.IotProdData;
import kr.co.compcarecompany.Data.Product.MachineItem;
import kr.co.compcarecompany.Data.Product.MonitoringData;
import kr.co.compcarecompany.Data.Product.ReportData;

public class CompanyData implements Serializable {

    @SerializedName("cp_idx")
    @Expose
    private String cpIdx;
    @SerializedName("ag_idx")
    @Expose
    private String agIdx;
    @SerializedName("pt_idx")
    @Expose
    private String ptIdx;
    @SerializedName("cp_name")
    @Expose
    private String cpName;
    @SerializedName("cp_addr")
    @Expose
    private String cpAddr;
    @SerializedName("cp_addr_sub")
    @Expose
    private String cpAddrSub;
    @SerializedName("cp_man")
    @Expose
    private String cpMan;
    @SerializedName("cp_tel")
    @Expose
    private String cpTel;
    @SerializedName("cp_fax")
    @Expose
    private String cpFax;
    @SerializedName("cp_airline")
    @Expose
    private Object cpAirline;
    @SerializedName("cp_mapx")
    @Expose
    private String cpMapx;
    @SerializedName("cp_mapy")
    @Expose
    private String cpMapy;
    @SerializedName("cp_order")
    @Expose
    private String cpOrder;
    @SerializedName("cp_email")
    @Expose
    private String cpEmail;
    @SerializedName("ins_dt")
    @Expose
    private String insDt;
    @SerializedName("cp_running_time")
    @Expose
    private String cpRunningTime;
    @SerializedName("cp_running_day")
    @Expose
    private String cpRunningDay;
    @SerializedName("cp_airline_arr")
    @Expose
    private List<String> cpAirlineArr = null;
    @SerializedName("pt_name")
    @Expose
    private String ptName;
    @SerializedName("pt_ceo")
    @Expose
    private String ptCeo;
    @SerializedName("pt_field")
    @Expose
    private String ptField;
    @SerializedName("pt_tel")
    @Expose
    private String ptTel;
    @SerializedName("pt_gu")
    @Expose
    private String ptGu;
    @SerializedName("pt_type")
    @Expose
    private String ptType;
    @SerializedName("pt_condition")
    @Expose
    private String ptCondition;
    @SerializedName("pt_code")
    @Expose
    private String ptCode;
    @SerializedName("pt_hp")
    @Expose
    private String ptHp;
    @SerializedName("pt_man")
    @Expose
    private String ptMan;
    @SerializedName("pt_memo")
    @Expose
    private String ptMemo;
    @SerializedName("call_hp")
    @Expose
    private String callHp;
    @SerializedName("cp_zip")
    @Expose
    private String cpZip;
    @SerializedName("al_machine_data")
    @Expose
    private ArrayList<AlMachineDatum> alMachineData = null;
    @SerializedName("alarm_count")
    @Expose
    private String alarmCount;
    @SerializedName("service_count")
    @Expose
    private String serviceCount;
    @SerializedName("pt_machine_pw")
    @Expose
    private String ptMachinePw;

    @SerializedName("machine_all")
    @Expose
    private ArrayList<MachineItem> machineAll;

    @SerializedName("report_list")
    @Expose
    private ArrayList<ReportData> reportList;

    @SerializedName("cp_airline_str")
    @Expose
    private String cpAirlineStr;

    @SerializedName("interlock_change")
    @Expose
    private String interlockChange;

    public ArrayList<MachineItem> getMachineAll() {
        return machineAll;
    }

    private MachineItem machineItem = null;
    boolean selected = false;

    public String getCpIdx() {
        return cpIdx;
    }

    public void setCpIdx(String cpIdx) {
        this.cpIdx = cpIdx;
    }

    public String getAgIdx() {
        return agIdx;
    }

    public void setAgIdx(String agIdx) {
        this.agIdx = agIdx;
    }

    public String getPtIdx() {
        return ptIdx;
    }

    public void setPtIdx(String ptIdx) {
        this.ptIdx = ptIdx;
    }

    public String getCpName() {
        return cpName;
    }

    public void setCpName(String cpName) {
        this.cpName = cpName;
    }

    public String getCpAddr() {
        return cpAddr;
    }

    public void setCpAddr(String cpAddr) {
        this.cpAddr = cpAddr;
    }

    public String getCpMan() {
        return cpMan;
    }

    public void setCpMan(String cpMan) {
        this.cpMan = cpMan;
    }

    public String getCpTel() {
        return cpTel;
    }

    public void setCpTel(String cpTel) {
        this.cpTel = cpTel;
    }

    public String getCpFax() {
        return cpFax;
    }

    public void setCpFax(String cpFax) {
        this.cpFax = cpFax;
    }

    public Object getCpAirline() {
        return cpAirline;
    }

    public void setCpAirline(Object cpAirline) {
        this.cpAirline = cpAirline;
    }

    public String getCpMapx() {
        return cpMapx;
    }

    public void setCpMapx(String cpMapx) {
        this.cpMapx = cpMapx;
    }

    public String getCpMapy() {
        return cpMapy;
    }

    public void setCpMapy(String cpMapy) {
        this.cpMapy = cpMapy;
    }

    public String getCpOrder() {
        return cpOrder;
    }

    public void setCpOrder(String cpOrder) {
        this.cpOrder = cpOrder;
    }

    public String getInsDt() {
        return insDt;
    }

    public void setInsDt(String insDt) {
        this.insDt = insDt;
    }

    public String getCpRunningTime() {
        return cpRunningTime;
    }

    public void setCpRunningTime(String cpRunningTime) {
        this.cpRunningTime = cpRunningTime;
    }

    public String getCpRunningDay() {
        return cpRunningDay;
    }

    public void setCpRunningDay(String cpRunningDay) {
        this.cpRunningDay = cpRunningDay;
    }

    public List<String> getCpAirlineArr() {
        return cpAirlineArr;
    }

    public void setCpAirlineArr(List<String> cpAirlineArr) {
        this.cpAirlineArr = cpAirlineArr;
    }

    public String getPtName() {
        return ptName;
    }

    public void setPtName(String ptName) {
        this.ptName = ptName;
    }

    public String getPtCeo() {
        return ptCeo;
    }

    public void setPtCeo(String ptCeo) {
        this.ptCeo = ptCeo;
    }

    public String getPtCode() {
        return ptCode;
    }

    public void setPtCode(String ptCode) {
        this.ptCode = ptCode;
    }

    public String getPtHp() {
        return ptHp;
    }

    public void setPtHp(String ptHp) {
        this.ptHp = ptHp;
    }

    public String getPtMan() {
        return ptMan;
    }

    public void setPtMan(String ptMan) {
        this.ptMan = ptMan;
    }

    public String getPtMemo() {
        return ptMemo;
    }

    public void setPtMemo(String ptMemo) {
        this.ptMemo = ptMemo;
    }

    public String getCallHp() {
        return callHp;
    }

    public void setCallHp(String callHp) {
        this.callHp = callHp;
    }

    public List<AlMachineDatum> getAlMachineData() {
        return alMachineData;
    }

    public void setAlMachineData(ArrayList<AlMachineDatum> alMachineData) {
        this.alMachineData = alMachineData;
    }

    public String getCpAddrSub() {
        return cpAddrSub;
    }

    public boolean isSelected() {
        return selected;
    }

    public void setSelected(boolean selected) {
        this.selected = selected;
    }

    public MachineItem getMachineItem() {
        return machineItem;
    }

    public void setMachineItem(MachineItem machineItem) {
        this.machineItem = machineItem;
    }

    public String getCpEmail() {
        return cpEmail;
    }

    public void setCpEmail(String cpEmail) {
        this.cpEmail = cpEmail;
    }

    public String getCpZip() {
        return cpZip;
    }

    public void setCpZip(String cpZip) {
        this.cpZip = cpZip;
    }

    public String getPtField() {
        return ptField;
    }

    public void setPtField(String ptField) {
        this.ptField = ptField;
    }

    public String getPtCondition() {
        return ptCondition;
    }

    public void setPtCondition(String ptCondition) {
        this.ptCondition = ptCondition;
    }

    public String getPtTel() {
        return ptTel;
    }

    public String getAlarmCount() {
        return alarmCount;
    }

    public String getServiceCount() {
        return serviceCount;
    }

    public String getPtGu() {
        return ptGu;
    }

    public String getPtType() {
        return ptType;
    }

    public ArrayList<ReportData> getReportList() {
        return reportList;
    }

    public String getCpAirlineStr() {
        return cpAirlineStr;
    }

    public String getInterlockChange() {
        return interlockChange;
    }
}
